module Count(CLOCK_50, LED, KEY);
output	[7:0]	LED;
input			CLOCK_50;
input			KEY	;

reg		[22:0]	Cont;
reg		[7:0]	mLED;
reg		[7:0]	number;

always@(posedge CLOCK_50)	Cont	<=	Cont+1'b1;

always @ (posedge Cont[22] or negedge KEY)
begin
	if (!KEY)
	begin	
		mLED = 8'b00000000;
		number = 0;
	end
	else
		case (number)
			0: begin mLED = 8'b00000000; number =  1;end
			1: begin mLED = 8'b00000001; number =  2;end
			2: begin mLED = 8'b00000011; number =  3;end
			3: begin mLED = 8'b00000111; number =  4;end
			4: begin mLED = 8'b00001111; number =  5;end
			5: begin mLED = 8'b00011111; number =  6;end
			6: begin mLED = 8'b00111111; number =  7;end
			7: begin mLED = 8'b01111111; number =  8;end
			8: begin mLED = 8'b11111111; number =  9;end
			9: begin mLED = 8'b11111110; number = 10;end
		   10: begin mLED = 8'b11111100; number = 11;end
		   11: begin mLED = 8'b11111000; number = 12;end
		   12: begin mLED = 8'b11110000; number = 13;end
		   13: begin mLED = 8'b11100000; number = 14;end
		   14: begin mLED = 8'b11000000; number = 15;end
		   15: begin mLED = 8'b10000000; number = 16;end
		   16: begin mLED = 8'b00000000; number = 17;end
		   17: begin mLED = 8'b10000000; number = 18;end
		   18: begin mLED = 8'b11000000; number = 19;end
		   19: begin mLED = 8'b11100000; number = 20;end
		   20: begin mLED = 8'b11110000; number = 21;end
		   21: begin mLED = 8'b11111000; number = 22;end
		   22: begin mLED = 8'b11111100; number = 23;end
		   23: begin mLED = 8'b11111110; number = 24;end
		   24: begin mLED = 8'b11111111; number = 25;end
		   25: begin mLED = 8'b01111111; number = 26;end
		   26: begin mLED = 8'b00111111; number = 27;end
		   27: begin mLED = 8'b00011111; number = 28;end
		   28: begin mLED = 8'b00001111; number = 29;end
		   29: begin mLED = 8'b00000111; number = 30;end
		   30: begin mLED = 8'b00000011; number = 31;end
		   31: begin mLED = 8'b00000001; number =  0;end
		   default: begin mLED = 8'b00000000; number = 1;end
		endcase
end

assign LED = ~mLED;

endmodule