module DEnano(CLOCK_50, KEY, LED);

input			CLOCK_50;
input	[2:0]	KEY	;

output	[7:0]	LED;

wire	[7:0]	mode1;
wire	[7:0]	mode2;

reg				select;

wire			CLOCK_50;
wire	[2:0]	KEY	;

always @ (negedge KEY[0])
begin
	if (select==1)
		select <= 0;
	else
		select <= select + 1;
end

assign LED = (select > 0) ? mode1 : mode2;

Knight_Rider		m1	(	.CLOCK_50(CLOCK_50),
							.KEY(KEY[1]),
							.LED(mode1)
							);	
							
Count				m2	(	.CLOCK_50(CLOCK_50),
							.KEY(KEY[2]),
							.LED(mode2)
							);														

endmodule							
